Subject: bug#10087: 24.0.91; gdb-create-source-file-list and the documented behaviour

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Sun, 20 Nov 2011 22:41:26 +0530

I have set gdb-create-source-file-list to nil, but still gdb takes lot
of time to give the (gdb) prompt for binaries like linux kernel. Looking
at the source, I guess gdb-create-source-file-list check is not correct. We have

  ;; find source file and compilation directory here
  (gdb-input
                                        ; Needs GDB 6.2 onwards.
   (list "-file-list-exec-source-files" 'gdb-get-source-file-list))
  (if gdb-create-source-file-list
      (gdb-input
                                        ; Needs GDB 6.0 onwards.
       (list "-file-list-exec-source-file" 'gdb-get-source-file)))

Don't we need to conditionalize gdb-get-source-file-list call ?
Also "ready" mode line update is done in that function. I guess
that should be moved to gdb-get-source-file ?

In GNU Emacs 24.0.91.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.6)
 of 2011-11-20 on skywalker
Windowing system distributor `The X.Org Foundation', version 11.0.11004000
configured using `configure  '--prefix=/home/kvaneesh/bin-local/emacs/''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_IN
  value of $XMODIFIERS: nil
  locale-coding-system: iso-latin-1-unix
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o r t - e m <tab> <return> g d b - c r e 
<backspace> <backspace> <backspace> c r e <tab> <backspace> 
<backspace> C-g <C-down-mouse-2> M-x f i n d - f u 
<tab> <return> g d b - i n i <tab> t - 1 <return> <return> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <return> C-s g d b - c r e 
a t e - s o u r c e <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> C-SPC <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <left> M-w M-x r e 
p o <tab> r <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit
uncompressing gdb-mi.el.gz...done
Mark saved where search started
Mark set
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr message format-spec rfc822 mml mml-sec
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader
help-mode easymenu view multi-isearch jka-compr find-func emacsbug
time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image fringe lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)